### Constructor

# ICalGLib VcardParameter new_type_list

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new_type_list (
      const ICalVcardEnumArray* value
    )

#### Description [src]

Available since: 4.0

#### Parameters

`value`

  Type: `ICalVcardEnumArray`

  The array value to use for the new `ICalVcardParameter`.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalVcardParameter`

A new `ICalVcardParameter` holding TYPE.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.